import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { SERVICES } from './service';

@NgModule({
  declarations: [],
  imports: [CommonModule],
  exports: []
})
export class AuthModule {
  public static forRoot(): ModuleWithProviders<AuthRootModule> {
    return {
      ngModule: AuthRootModule,
      providers: [SERVICES]
    };
  }
}

@NgModule({
  imports: [],
  exports: []
})
export class AuthRootModule {}
